import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainFairCompanyTable from '@/components/Render/Main/Fair/Company/table'
import PagesMainFairCompanyCreate from '@/components/Render/Main/Fair/Company/create'

const FairCompanyPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainFairCompanyTable getId={getId}></PagesMainFairCompanyTable>
                <PagesMainFairCompanyCreate id={id}></PagesMainFairCompanyCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(FairCompanyPage);

